%define	rname	vlan
%define	name	%{rname}-utils
%define	version	1.8
%define	release 2mdk

Summary:	Utilities for controlling vlans
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://scry.wanfear.com/~greear/vlan/%{rname}.%{version}.tar.bz2
Patch0:		vlan-1.6-mdkconf.patch.bz2
License:	GPL
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url:		http://scry.wanfear.com/~greear/vlan.html 
BuildRequires:	kernel-headers >= 2.4.14 lynx
Requires:	kernel >= 2.4.14
Provides:	vconfig
Obsoletes:	vconfig

%description
Virtual networking refers to the ability of switches and routers to
configure logical topologies on top of the physical network
infrastructure, allowing any arbitrary collection of LAN segments
within a network to be combined into an autonomous user group,
appearing as a single LAN.

This package implement support (along with the kernel patch) :

     * Implements 802.1Q VLAN spec.
     * Can support up to 4094 VLANs per ethernet interface.
     * Scales well in critical paths: O(n), where n is the number of
       PHYSICAL ethernet interfaces, and that is only on ingress. O(1) in
       every other critical path, as far as I know.
     * Supports MULTICAST
     * Can change MAC address of VLAN.
     * Multiple naming conventions supported, and adjustable at runtime.
     * Optional header-reordering, to make the VLAN interface look JUST
       LIKE an Ethernet interface. This fixes some problems with DHCPd
       and anything else that uses a SOCK_PACKET socket. Default setting
       is off, which works for every other protocol I know about, and is
       slightly faster.

%prep
%setup -q -n %{rname}
%patch0 -p1
rm -rf `find -type d -name CVS`

%build
%make RPM_OPT_FLAGS="%optflags"

%install
rm -rf $RPM_BUILD_ROOT
install -m755 vconfig -D %{buildroot}/sbin/vconfig
install -m755 vlan_test.pl -D %{buildroot}/sbin/vlan-test
install -m644 vconfig.8 -D %{buildroot}%{_mandir}/man8/vconfig.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG contrib README vlan.html
/sbin/*
%{_mandir}/man8/vconfig.8*

%changelog
* Sun Jan 23 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.8-2mdk
- rebuild
- fix summary-ended-with-dot

* Tue Dec 23 2003 Damien Chaumette <dchaumette@mandrakesoft.com> 1.8-1mdk
- new version 1.8.0
- drop patch1

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.7-4mdk
- fix gcc-3.3 patch (P1)

* Sat Jul 19 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.7-3mdk
- move binaries from %%{_sbindir} to /sbin
- don't convert html doc to txt doc
- provide and obsolete vconfig which is a duplicate

* Mon Jul 14 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.7-2mdk
- add man page
- add docs

* Mon Jul 14 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.7-1mdk
- 1.7
- cosmetics
- fix gcc-3.3 build (P1)

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6-2mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Mon Jun 17 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.6-1mdk
- 1.6-1mdk (requires kernel >= 2.4.14).
- Rediff mdkconf patch.

* Mon Aug 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.4-1mdk
- Upgrade dependences to latest kernel.
- 1.4.

* Wed Aug  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.3-2mdk
- Use /usr/include instead of /usr/src/linux (since we depend of
  kernel-headers) (oden).

* Wed Aug  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.3-1mdk
- First version.



# end of file
